﻿using System.Collections;
using Infragistics.UltraChart.Resources;

namespace ChartTest
{
    public class CustomLabel : IRenderLabel
    {
        private readonly double _totalValue;

        public CustomLabel(double value)
        {
            _totalValue = value;
        }

        public string ToString(Hashtable context)
        {
            var dataValue = (double)context["DATA_VALUE"];

            return (dataValue * 100 / _totalValue) + "%";
        }
    }
}
